(defun C:offset_b (/ cmd_old poly p1_ent p2_ent ) ; für BRICSCAD; Doppel-Offset auf aktuellen Layer ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; (command "_UNDO" "_Begin") (setvar "_cmdecho" 0) (setq osmode_old (getvar "OSMODE")) (setvar "OSMODE" 0) (setvar "_cmdecho" 0) (setq tt (strcat "Abstand :<" (rtos (getvar "OFFSETDIST")) ">: ")) (if (not (setq d (getreal tt)))(setq d (getvar "OFFSETDIST"))) (setq poly (car (entsel "\nWähle Polylinie :"))) (if (= (cdr (assoc 0 (entget poly))) "LWPOLYLINE") (progn (setq p2_ent poly) (command "_offset" d p2_ent "_b" "") (while (entnext p2_ent) (setq p1_ent p2_ent) (setq p2_ent (entnext p2_ent)) ) (command "_chprop" p1_ent p2_ent "" "_LAYER" (getvar "CLAYER") "_COLOR" "_BYLAYER" "_LTYP" "_BYLAYER" "_LWEIGHT" "_BYLAYER" "") ) (alert "Das war keine LWPolylinie!") ) (setvar "OSMODE" osmode_old) (setvar "_cmdecho" 1) (setvar "_UNDO" "_End") ) (prompt "\n") (prompt "\nStart by typing OFFSET_B at the command line\n")